'use strict';

var path = require('path');

/**
 * @param {string} packagePath - the path to the package
 * @param {string} ignoredPackages - a comma separated list of package names
 * @returns {boolean} returns true if packageName is a part of packagePath
 **/
function isIgnoredPackage(packagePath, ignoredPackages) {
	if (typeof ignoredPackages !== 'string' || ignoredPackages === '') {
		return false;
	}

	var packageName = path.basename(packagePath);
	var ignoreCounter = 0;
	ignoredPackages.split(',').forEach(function (ignoredPackage) {
		if (packageName.match(new RegExp('^' + ignoredPackage + '$')) !== null) {
			ignoreCounter += 1;
		}
	});

	return Boolean(ignoreCounter > 0);
}

module.exports = isIgnoredPackage;