/* eslint no-console: 0*/
'use strict';

var _require = require('../store'),
    getState = _require.getState,
    getUiState = _require.getUiState;

var renderAllPanels = require('../renderAllPanels');

/**
 * @param {Object} di - dependency injection
 * @returns {void}
 **/
function renderFocus() {
	var state = getState();
	var uiState = getUiState();
	var currentState = Object.assign({}, state);

	if (currentState[uiState.focus]) {
		uiState.print(currentState[uiState.focus].log.join('\n') + '\n\n');
		return;
	}

	renderAllPanels();
}

module.exports = renderFocus;
module.exports.renderFocus = renderFocus;