/* eslint no-console: 0*/
/* eslint complexity: 0*/
'use strict';

var path = require('path');
var getScriptCommands = require('../getScriptCommands');
var isIgnoredPackage = require('../isIgnoredPackage');
var runNpmScript = require('../runNpmScript');

var _require = require('../getTerminalPanel'),
    getText = _require.getText;

var _require2 = require('../commander'),
    getProgram = _require2.getProgram;

var _require3 = require('../store'),
    getState = _require3.getState;

var render = require('../render');

/**
 * @returns {Object} state
 **/
function runNpmScripts() {
	var commands = getScriptCommands();
	var program = getProgram();
	var state = getState();

	if (!commands[program.script]) {
		throw new Error("the given script wasn't found!");
	}

	Object.keys(commands[program.script]).forEach(function (index) {
		var packagePath = commands[program.script][index];
		var packageName = path.basename(packagePath);
		if (isIgnoredPackage(packagePath, program.ignoredPackages)) {
			return;
		}
		state[packageName] = {
			log: []
		};
		state[packageName].terminal = runNpmScript({
			scriptName: program.script,
			packagePath: packagePath,
			onRecieve: function onRecieve(text) {
				state[packageName].log = state[packageName].log.concat(getText(text.split('\n'), 'msg'));
				render();
			},
			onError: function onError(text) {
				state[packageName].log = state[packageName].log.concat(getText(text.split('\n'), 'error'));
				render();
			},
			onExit: function onExit() {
				state[packageName].log = state[packageName].log.concat(getText('stop: ' + packageName, 'error'));
				render();
			}
		});
	});

	return state;
}

module.exports = runNpmScripts;